Package: org.grails.web.json

## [Java] Class PathCapturingJSONWriterWrapper

- org.grails.web.json.PathCapturingJSONWriterWrapper

- TODO Proof of concept Should capture the JSON Path to the current element

  Authors:
    Siegfried Puchbauer

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JSONWriter` | `comma, mode, writer`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `PathCapturingJSONWriterWrapper (JSONWriter delegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `JSONWriter` | `append(java.lang.String s)`
    `` | `JSONWriter` | `array()`
    `` | `void` | `comma()`
    `` | `JSONWriter` | `end(Mode m, char c)`
    `` | `JSONWriter` | `endArray()`
    `` | `JSONWriter` | `endObject()`
    `` | `java.lang.String` | `getCurrentStrackReference()`
    `` | `java.lang.String` | `getStackReference(int depth)`
    `` | `JSONWriter` | `key(java.lang.String s)`
    `` | `JSONWriter` | `object()`
    `` | `void` | `pop(Mode c)`
    `` | `void` | `push(Mode c)`
    `` | `JSONWriter` | `value(boolean b)`
    `` | `JSONWriter` | `value(double d)`
    `` | `JSONWriter` | `value(long l)`
    `` | `JSONWriter` | `value(java.lang.Object o)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JSONWriter` | `append, append, array, comma, end, endArray, endObject, key, object, pop, push, value, value, value, value, value, valueNull`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public PathCapturingJSONWriterWrapper(JSONWriter delegate)

  - ### Method Detail

    - #### @java.lang.Override public JSONWriter append(java.lang.String s)

    - #### @java.lang.Override public JSONWriter array()

    - #### @java.lang.Override public void comma()

    - #### @java.lang.Override public JSONWriter end(Mode m, char c)

    - #### @java.lang.Override public JSONWriter endArray()

    - #### @java.lang.Override public JSONWriter endObject()

    - #### public java.lang.String getCurrentStrackReference()

    - #### public java.lang.String getStackReference(int depth)

    - #### @java.lang.Override public JSONWriter key(java.lang.String s)

    - #### @java.lang.Override public JSONWriter object()

    - #### @java.lang.Override public void pop(Mode c)

    - #### @java.lang.Override public void push(Mode c)

    - #### @java.lang.Override public JSONWriter value(boolean b)

    - #### @java.lang.Override public JSONWriter value(double d)

    - #### @java.lang.Override public JSONWriter value(long l)

    - #### @java.lang.Override public JSONWriter value(java.lang.Object o)